Bug 998420 - Option "-h" is missing for "oo-cgroup-template"
Option "-h" is missing for "oo-cgroup-template"
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Michal Fojtik
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 05:22 EDT by Qiushui Zhang
Modified: 2015-05-14 19:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-29 08:52:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Qiushui Zhang 2013-08-19 05:22:04 EDT
Description of problem:
If executing "oo-cgroup-template -h", it will say "/usr/bin/oo-cgroup-template: invalid option -- h". Both "-h/--help" should be the help option for the command.

Version-Release number of selected component (if applicable):
devenv_3672

How reproducible:
always

Steps to Reproduce:
1. On instance, do "oo-cgroup-template -h"
2. 
3.

Actual results:
[root@ip-10-154-135-205 ~]# oo-cgroup-template -h
/usr/bin/oo-cgroup-template: invalid option -- h
== Synopsis

/usr/bin/oo-cgroup-template: Enable cgroups for a gear
  This command must be run as root.

== Usage

To set a cgroup template for a gear with UUID:
/usr/bin/oo-cgroup-template --with-container-uuid UUID --template TEMPLATE

To set a cgroup template for all gears:
/usr/bin/oo-cgroup-template --with-all-containers --template TEMPLATE

To list the available cgroup templates:
/usr/bin/oo-cgroup-template --templates

To list the template for a gear with UUID:
/usr/bin/oo-cgroup-template --with-container-uuid UUID

Expected results:
Option "-h" should be an expected option for help content.

Additional info:
Comment 1 Michal Fojtik 2013-08-20 09:35:29 EDT
Fix here: https://github.com/openshift/origin-server/pull/3426
Comment 2 openshift-github-bot 2013-08-21 12:43:34 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/528d99b54ad81986e35e2e40e3c031b17d8bab77
Bug 998420 - Fixed typo in the --help option for oo-cgroup-template
Comment 3 Qiushui Zhang 2013-08-25 22:36:09 EDT
Tested on devenv_3706.

[root@ip-10-179-40-138 ~]# oo-cgroup-template -h
== Synopsis

/usr/bin/oo-cgroup-template: Enable cgroups for a gear
  This command must be run as root.

== Usage

To set a cgroup template for a gear with UUID:
/usr/bin/oo-cgroup-template --with-container-uuid UUID --template TEMPLATE

To set a cgroup template for all gears:
/usr/bin/oo-cgroup-template --with-all-containers --template TEMPLATE

To list the available cgroup templates:
/usr/bin/oo-cgroup-template --templates

To list the template for a gear with UUID:
/usr/bin/oo-cgroup-template --with-container-uuid UUID

== List of arguments
  -c|--with-container-uuid  gear_uuid   Unique identifier for the gears
  -a|--with-all-containers              Run on all gears
  -t|--template template                Template to set
  -s|--templates                        List templates
  -d|--debug                            Enable debug mode
  -h|--help                             Print this message

[root@ip-10-179-40-138 ~]# oo-cgroup-template --help
== Synopsis

/usr/bin/oo-cgroup-template: Enable cgroups for a gear
  This command must be run as root.

== Usage

To set a cgroup template for a gear with UUID:
/usr/bin/oo-cgroup-template --with-container-uuid UUID --template TEMPLATE

To set a cgroup template for all gears:
/usr/bin/oo-cgroup-template --with-all-containers --template TEMPLATE

To list the available cgroup templates:
/usr/bin/oo-cgroup-template --templates

To list the template for a gear with UUID:
/usr/bin/oo-cgroup-template --with-container-uuid UUID

== List of arguments
  -c|--with-container-uuid  gear_uuid   Unique identifier for the gears
  -a|--with-all-containers              Run on all gears
  -t|--template template                Template to set
  -s|--templates                        List templates
  -d|--debug                            Enable debug mode
  -h|--help                             Print this message

So mark it as fixed.

Note You need to log in before you can comment on or make changes to this bug.